### Method

# Shell PerfLog event_s

#### Declaration [src]

    void
    shell_perf_log_event_s (
      ShellPerfLog* perf_log,
      const char* name,
      const char* arg
    )

#### Description [src]

Records a performance event with one string argument.

#### Parameters

`name`

  Type: `const char*`

  Name of the event.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg`

  Type: `const char*`

  The argument.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.